.container {
  background-image: url(../assets/images/background.jpeg);
}

/*HEADER*/

.header-container {
  max-width: 1220px;
  margin: 0 auto;
  padding: 20px;
}

/*------TOP HEADER*/

.top-header {
  display: flex;
  justify-content: space-between;
  font-size: var(--subtitle-size);
  color: var(--main-color);
}

.link-box {
  display: flex;
  align-items: center;
}

.top-header-phone,
.top-header-email {
  color: var(--text-color);
}

/*-------BOTTOM HEADER*/

.bottom-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 50px 0px 0px 0px;
}

.menu {
  width: 100%;
  display: flex;
  justify-content: space-around;
  text-transform: uppercase;
}

.menu-link {
  padding: 10px 15px;
  font-weight: bold;
  color: var(--text-color);
  border: none;
  border-radius: 15px;
  background-color: white;
  outline: none;
}

.menu-link:hover {
  transition: background-color 0.5s ease-in-out;
  background-color: var(--main-color);
}

/*FOOTER*/

.footer-container {
  background-color: rgba(248, 248, 255, 0.5);
  margin: 0 auto;
}

.footer-wrapper {
  display: flex;
  justify-content: space-between;
  padding: 20px;
  max-width: 1220px;
  margin: 0 auto;
}

.footer-data {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.link-box.time-box {
  align-items: start;
  line-height: 25px;
}

.web-rem {
  padding: 10px;
  text-align: center;
  background-color: var(--secondary-color);
  font-weight: bold;
  font-size: var(--text-size);
}

/*Burger menu*/
.menu-burger {
  display: none;
  position: relative;
  width: 60px;
  height: 60px;
  border-radius: 15px;
  padding: 10px;
  background-color: var(--secondary-color);
  transition: all 0.5s ease;
}

.burger-row {
  position: relative;
  width: 100%;
  height: 6px;
  background-color: var(--main-color);
  z-index: 1;
  transition: all 0.5s ease;
}

.menu-burger.menu-open > .burger-row:first-child {
  position: absolute;
  transform: rotate(45deg);
  transition: all 0.5s ease;
  width: 80%;
}

.menu-burger.menu-open > .burger-row:last-child {
  position: absolute;
  transform: rotate(-45deg);
  transition: all 0.5s ease;
  width: 80%;
}

.menu-burger.menu-open > .burger-row:nth-child(2) {
  display: none;
}

.menu-responsive {
  display: none;
}

.footer-rules {
  text-align: end;
}

@media screen and (max-width: 745px) {
  .menu-burger {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    cursor: pointer;
    z-index: 3;
  }
  .menu {
    display: none;
  }
  .menu-responsive {
    transform: translateY(-100%);
    transition: 0.5s ease;
  }
  .menu-responsive.menu-open {
    display: flex;
    flex-direction: column;
    position: absolute;
    justify-content: center;
    align-items: center;
    background-color: var(--text-color);
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    transform: translateY(0%);
    transition: 0.5s ease;
    z-index: 2;
  }
  .menu-link-responsive {
    color: var(--secondary-color);
    font-weight: bold;
    padding: 10px 0px;
  }
  .footer-rules {
    text-align: center;
  }
}

@media screen and (max-width: 675px) {
  .top-header {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .title {
    padding: 20px 0px;
  }

  .footer-wrapper {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .footer-rules {
    margin-top: 20px;
  }
  .right {
    text-align: center !important;
  }
}
